## English

`forfloatrange` is a Python library that provides a function called `ffrange` for generating a sequence of floating-point numbers within a specified range with a given step. The function checks that the step is not zero to avoid errors and uses a generator expression for efficient handling of large value ranges.

### Installation

You can install the library using pip:

```bash
pip install forfloatrange
```

### Usage

```python
from forfloatrange import ffrange

# Generate a sequence of floating-point numbers from 0.0 to 1.0 with a step of 0.1
for number in ffrange(0.0, 1.0, 0.1):
    print(number)
```

## Русский

`forfloatrange` - это библиотека на Python, предоставляющая функцию под названием `ffrange` для создания последовательности чисел с плавающей точкой в указанном диапазоне с заданным шагом. Функция проверяет, что шаг не равен нулю, чтобы избежать ошибок, и использует генераторное выражение для эффективной работы с большими диапазонами значений.

### Установка

Вы можете установить библиотеку с помощью pip:

```bash
pip install forfloatrange
```

### Пример использования

```python
from forfloatrange import ffrange

# Сгенерировать последовательность чисел с плавающей точкой от 0.0 до 1.0 с шагом 0.1
for number in ffrange(0.0, 1.0, 0.1):
    print(number)
```

## Français

`forfloatrange` est une bibliothèque Python qui fournit une fonction appelée `ffrange` pour générer une séquence de nombres à virgule flottante dans une plage spécifiée avec un pas donné. La fonction vérifie que le pas n'est pas nul pour éviter les erreurs et utilise une expression génératrice pour une manipulation efficace des grandes plages de valeurs.

### Installation

Vous pouvez installer la bibliothèque à l'aide de pip :

```bash
pip install forfloatrange
```

### Utilisation

```python
from forfloatrange import ffrange

# Générer une séquence de nombres à virgule flottante de 0.0 à 1.0 avec un pas de 0.1
for number in ffrange(0.0, 1.0, 0.1):
    print(number)
```

## Deutsch

`forfloatrange` ist eine Python-Bibliothek, die eine Funktion namens `ffrange` bereitstellt, um eine Sequenz von Gleitkommazahlen innerhalb eines angegebenen Bereichs mit einem bestimmten Schritt zu generieren. Die Funktion überprüft, dass der Schritt nicht Null ist, um Fehler zu vermeiden, und verwendet einen Generatorausdruck für die effiziente Handhabung großer Wertebereiche.

### Installation

Sie können die Bibliothek mit pip installieren:

```bash
pip install forfloatrange
```

### Verwendung

```python
from forfloatrange import ffrange

# Generieren Sie eine Sequenz von Gleitkommazahlen von 0,0 bis 1,0 mit einem Schritt von 0,1
for number in ffrange(0.0, 1.0, 0.1):
    print(number)
```

## Українська

`forfloatrange` - це бібліотека на Python, яка надає функцію під назвою `ffrange` для створення послідовності чисел з плаваючою комою в зазначеному діапазоні з вказаним кроком. Функція перевіряє, що крок не дорівнює нулю, щоб уникнути помилок, і використовує вираз-генератор для ефективної роботи з великими діапазонами значень.

### Встановлення

Ви можете встановити бібліотеку за допомогою pip:

```bash
pip install forfloatrange
```

### Використання

```python
from forfloatrange import ffrange

# Згенерувати послідовність чисел з плаваючою комою від 0.0 до 1.0 з кроком 0.1
for number in ffrange(0.0, 1.0, 0.1):
    print(number)
```